org.eclipse.emf.cdo.server

## Class CDOServerBrowser.AbstractPage

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

- All Implemented Interfaces:
    CDOServerBrowser.Page
  Direct Known Subclasses:
    CDOServerBrowser.HistoryPage, CDOServerBrowser.LobsPage, CDOServerBrowser.LocksPage, CDOServerBrowser.PackagesPage, CDOServerBrowser.RevisionsPage
  Enclosing class:
    CDOServerBrowser

      public abstract static class CDOServerBrowser.AbstractPage
      extends Object
      implements CDOServerBrowser.Page

  An abstract base implementation of a `server browser page`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPage(String name, String label)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()`
    `String` | `getName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `canDisplay, display`

- - ### Constructor Detail

    - #### AbstractPage

          public AbstractPage(String name,
                              String label)

  - ### Method Detail

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `CDOServerBrowser.Page`

    - #### getLabel

          public String getLabel()

      Specified by:
        `getLabel` in interface `CDOServerBrowser.Page`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html